# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "koans_and_katas/version"

Gem::Specification.new do |spec|
  spec.name          = "koans_and_katas"
  spec.version       = KoansAndKatas::VERSION
  spec.authors       = ["Andy Bettisworth"]
  spec.email         = ["andy@accreu.com"]

  spec.summary       = %q{Tests developer knowlege.}
  spec.description   = %q{A test suite designed to assert the comprehension of domain knowledge for software developers working on the current project.}
  spec.homepage      = "https://github.com/wurde/koans_and_katas"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
